Bug 139536 - [PATCH] www/libmicrohttpd: fix broken mtree with custom PREFIX
Summary: [PATCH] www/libmicrohttpd: fix broken mtree with custom PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-12 00:20 UTC by Sahil Tandon
Modified: 2009-10-18 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (450 bytes, patch)
2009-10-12 00:20 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sahil Tandon 2009-10-12 00:20:01 UTC
After installing this port with a custom PREFIX, it does not clean up after itself upon uninstall (one file remains).  This should be fixed upstream, but the attached patch solves the problem in the meantime.  See QATty log for more:

http://qatty.tecnik93.com//errors/7-STABLE-FPT-CustDir/libmicrohttpd-0.4.2.log

Fix: Patch attached.

Patch attached with submission follows:
How-To-Repeat: Install the port with a custom PREFIX (i.e. one that is not == 'usr/local').
Comment 1 Edwin Groothuis freebsd_committer 2009-10-12 00:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-10-12 00:20:14 UTC
Maintainer of www/libmicrohttpd,

Please note that PR ports/139536 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139536

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-10-12 00:20:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 c11h15no2 2009-10-13 03:04:10 UTC
Looks good to me.=0A=0A=0A--- On Sun, 10/11/09, Edwin Groothuis <edwin@Free=
BSD.org> wrote:=0A=0A> From: Edwin Groothuis <edwin@FreeBSD.org>=0A> Subjec=
t: Re: ports/139536: [PATCH] www/libmicrohttpd: fix broken mtree with custo=
m PREFIX=0A> To: amatus@gnu.org=0A> Cc: bug-followup@FreeBSD.org=0A> Date: =
Sunday, October 11, 2009, 6:20 PM=0A> Maintainer of www/libmicrohttpd,=0A> =
=0A> Please note that PR ports/139536 has just been submitted.=0A> =0A> If =
it contains a patch for an upgrade, an enhancement or a=0A> bug fix=0A> you=
 agree on, reply to this email stating that you approve=0A> the patch=0A> a=
nd a committer will take care of it.=0A> =0A> The full text of the PR can b=
e found at:=0A> =A0 =A0 http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/=
139536=0A> =0A> -- =0A> Edwin Groothuis via the GNATS Auto Assign Tool=0A> =
edwin@FreeBSD.org=0A> =0A=0A=0A
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-10-17 19:29:14 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 6 dfilter service freebsd_committer 2009-10-18 00:15:00 UTC
itetcu      2009-10-17 23:14:46 UTC

  FreeBSD ports repository

  Modified files:
    www/libmicrohttpd    Makefile 
  Log:
  Try to fix plsit with custom PREFIX
  
  PR:             139536
  Submitted by:   Sahil Tandon
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.5       +1 -0      ports/www/libmicrohttpd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-10-18 00:15:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!